summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatsuu Takuto <matsuu@gentoo.org>2010-01-08 16:29:26 +0000
committerMatsuu Takuto <matsuu@gentoo.org>2010-01-08 16:29:26 +0000
commitf2c90e20d0b32e80fd2b3833206146ea3b1c48e5 (patch)
tree0ce9da004a23a6c01aef295ca6cc8601a2bd803f /sys-fs/clamfs/files
parentVersion bump (diff)
downloadgentoo-2-f2c90e20d0b32e80fd2b3833206146ea3b1c48e5.tar.gz
gentoo-2-f2c90e20d0b32e80fd2b3833206146ea3b1c48e5.tar.bz2
gentoo-2-f2c90e20d0b32e80fd2b3833206146ea3b1c48e5.zip
Initial import, bug #259863.
(Portage version: 2.1.7.16/cvs/Linux x86_64)
Diffstat (limited to 'sys-fs/clamfs/files')
-rw-r--r--sys-fs/clamfs/files/clamfs-1.0.1-gentoo.patch12
-rw-r--r--sys-fs/clamfs/files/clamfs.confd1
-rw-r--r--sys-fs/clamfs/files/clamfs.initd22
3 files changed, 35 insertions, 0 deletions
diff --git a/sys-fs/clamfs/files/clamfs-1.0.1-gentoo.patch b/sys-fs/clamfs/files/clamfs-1.0.1-gentoo.patch
new file mode 100644
index 000000000000..f5c02daca6d6
--- /dev/null
+++ b/sys-fs/clamfs/files/clamfs-1.0.1-gentoo.patch
@@ -0,0 +1,12 @@
+diff -Naur clamfs-1.0.1.orig/doc/clamfs.xml clamfs-1.0.1/doc/clamfs.xml
+--- clamfs-1.0.1.orig/doc/clamfs.xml 2009-02-07 23:09:26.000000000 +0900
++++ clamfs-1.0.1/doc/clamfs.xml 2010-01-08 18:19:13.000000000 +0900
+@@ -16,7 +16,7 @@
+ check - (yes or no) check if clamd is available on startup (useful if
+ mounting clamfs file systems from /etc/fstab early on startup,
+ while clamav daemon is not yet started) -->
+- <clamd socket="/var/run/clamav/clamd.ctl" check="yes" />
++ <clamd socket="/var/run/clamav/clamd.sock" check="yes" />
+
+ <!-- File system settings
+ root - real directory to attach as our root
diff --git a/sys-fs/clamfs/files/clamfs.confd b/sys-fs/clamfs/files/clamfs.confd
new file mode 100644
index 000000000000..941549a4ca60
--- /dev/null
+++ b/sys-fs/clamfs/files/clamfs.confd
@@ -0,0 +1 @@
+CLAMFS_CONFFILE="/etc/clamfs/clamfs.xml"
diff --git a/sys-fs/clamfs/files/clamfs.initd b/sys-fs/clamfs/files/clamfs.initd
new file mode 100644
index 000000000000..2a9d3e2fdb50
--- /dev/null
+++ b/sys-fs/clamfs/files/clamfs.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/clamfs/files/clamfs.initd,v 1.1 2010/01/08 16:29:25 matsuu Exp $
+
+depend() {
+ use logger
+ need clamd
+}
+
+start() {
+ ebegin "Starting clamfs"
+ start-stop-daemon --start --quiet \
+ --exec /usr/bin/clamfs -- ${CLAMFS_CONFFILE}
+ eend $? "Failed to start clamfs"
+}
+
+stop() {
+ ebegin "Stopping clamfs"
+ start-stop-daemon --stop --quiet --name clamfs
+ eend $? "Failed to stop clamfs"
+}